Skip to main content

Get all timezones

GEThttps://api.propexo.com/v1/timezones/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    InterfaceMethod
    ILS Guest CardGetServerTime
    ILS Guest CardGetPropertyConfigurations

    Possible values: >= 0

    Example: -08:00
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderByobject[]required

    The order of the results

    hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the timezone

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    ILS Guest CardGetServerTime
    ILS Guest CardGetPropertyConfigurations
    Example: na
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    ILS Guest CardGetServerTime
    ILS Guest CardGetPropertyConfigurations
    Example: na
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    is_activenullrequired

    Whether the timezone is active

    Notice

    This field will always be null for YARDI

    Example: null
    observes_daylight_savingsnullrequired

    Whether or not this timezone should be adjusted for daylight savings time

    Notice

    This field will always be null for YARDI

    Example: null
    offsetstring | nullnullablerequired

    The UTC offset numeric value of the timezone. In the event that daylight savings time is observed, the offset will always represent standard time

    InterfaceMethod
    ILS Guest CardGetServerTime
    ILS Guest CardGetPropertyConfigurations

    Possible values: Value must match regular expression ^[-+]\d{2}:\d{2}$

    Example: -08:00
    server_time_error_secondsnumber | nullnullablerequired

    The number of seconds the server is off by

    InterfaceMethod
    ILS Guest CardGetServerTime
    Example: 1000
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/timezones/
curl https://api.propexo.com/v1/timezones/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": "-08:00",
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "na",
"x_property_id": "na",
"x_location_id": null,
"is_active": null,
"observes_daylight_savings": null,
"offset": "-08:00",
"server_time_error_seconds": 1000,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}